<template>
  <div class="busnavbar">
     <div class="busnavbar-items">
          <c-button v-for="(item,index)  in codeList" v-bind:key="index" @click.native="onNarBtnClick(item.code,index)"   :title="item.title" :disabled="item.isDis==='N'">{{item.label}}</c-button>      
     </div>
  </div>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Litsel from "~/model/Litsel"
import CommonProcess from "~/mixin/CommonProcess"


export default { 
    props:["ownref"],
    components:{
        
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            trnName:'litsel',
            model:new Litsel().data,
            navcode:[
               {code:"",label:"",isDis:"",title:""},            
            ],
        }
    },
    methods:{
         //各入口按钮请求
     async  onNarBtnClick(code,i){
            this.model.cfgfil.subtrn1= code  
            let rtnmsg = await this.executeRule("cfgfil.hotsub1")
            console.log("cfgfil.code:" +  this.model.cfgfil.subtrn1);
            if(rtnmsg.respCode = SUCCESS){
                  this.$emit("onChoose",code.toLowerCase());
            }else{

            }
            
        },
    
     },
    computed:{
         codeList(){
              //将model中的数据映射成数组
              return this.navcode.map(item=>{
                  let entireItem = {...item}
                  //TODO 根据数据判断当前的code，是否可以继续
               //    entireItem.enable = item.isDis
                  return entireItem
              })
         }
     },
     watch:{
        "ownref":async function(n, o){
            if(!this.ownref){
                 console.log("11111")
               //   onTigger()
                 return;
            }
        }
    },
    
    mounted(){
         this.$nextTick(function(){
              this.$on('childmethods',async function(){
                  //请求按钮数据
                  this.model.lidgrp.rec.ownref = this.ownref  
                  console.log("ownref:" + this.ownref  );
                    let rtnmsg = await this.executeRule("lidgrp.rec.ownref")
                    if(rtnmsg.respCode = SUCCESS){
                    //重置数组
                    this.navcode.length = 0
                    this.model.cfgfil.btnstm = rtnmsg.data.cfgfil_btnstm.rows
                    //给inr赋值,后面弹窗里面的按钮请求会用到
                    this.model.lidgrp.rec.inr = rtnmsg.data.lidgrp_rec_inr
                    const idx = this.model.cfgfil.btnstm.length
                    let btnStr = this.model.cfgfil.btnstm
                    //     console.log("btnstmStr:"+btnStr); 
                      
                         for(let i=0;  i < idx; i++){
                              //获取数组中每行的数据
                              let arr = btnStr[i].split("\t");                        
                              let newList = {
                                   code:arr[0],
                                   label:arr[1],
                                   isDis:arr[2],
                                   title:arr[3]                       
                              }
                              //添加到navcode数组中
                              this.navcode.splice(i,0,newList)
                           }
                        
                         }
                        
                    })
              })
         }
    

}
</script>
<style>
     .busnavbar-items{
          /*TODO完善按钮间隔等样式 */
     }
</style>
